CIPDataTracker.CIPTracker
Date: 2019-10-22

org.jmol.symmetry

## Class CIPDataTracker.CIPTracker

- java.lang.Object
- - org.jmol.symmetry.CIPDataTracker.CIPTracker

- Enclosing class:
    CIPDataTracker

      class CIPDataTracker.CIPTracker
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) CIPChirality.CIPAtom` | `a`
    `(package private) CIPChirality.CIPAtom` | `b`
    `javajs.util.BS` | `bsa`
    `javajs.util.BS` | `bsb`
    `(package private) int` | `rule`
    `(package private) int` | `score`
    `(package private) int` | `sphere`
    `private boolean` | `trackTerminal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CIPTracker(int rule, CIPChirality.CIPAtom a, CIPChirality.CIPAtom b, int sphere, int score, boolean trackTerminal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private java.lang.String` | `getLikeUnlike(javajs.util.BS bsa, javajs.util.BS[] listRS, int n)`
    `(package private) java.lang.String` | `getTrackerLine(CIPChirality.CIPAtom b, javajs.util.BS bsb, javajs.util.BS bsS, int n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### a

          CIPChirality.CIPAtom a

    - #### b

          CIPChirality.CIPAtom b

    - #### sphere

          int sphere

    - #### score

          int score

    - #### rule

          int rule

    - #### bsa

          public javajs.util.BS bsa

    - #### bsb

          public javajs.util.BS bsb

    - #### trackTerminal

          private boolean trackTerminal

  - ### Constructor Detail

    - #### CIPTracker

          CIPTracker(int rule,
                     CIPChirality.CIPAtom a,
                     CIPChirality.CIPAtom b,
                     int sphere,
                     int score,
                     boolean trackTerminal)

  - ### Method Detail

    - #### getTrackerLine

          java.lang.String getTrackerLine(CIPChirality.CIPAtom b,
                                          javajs.util.BS bsb,
                                          javajs.util.BS bsS,
                                          int n)

    - #### getLikeUnlike

          private java.lang.String getLikeUnlike(javajs.util.BS bsa,
                                                 javajs.util.BS[] listRS,
                                                 int n)